#!/bin/bash
# notifysmagent.sh 
# invokes notifyevent.java utility to send the device events to SMagent
# Date : 21th July, 2008

# NOTE: Currently the script gets the agent install path when udevd invokes 
# the script.For instance, udev rule for addition /opt/SMgr/agent/notifysmagent.sh %r/%k 1, 
# If the udev rules are chagned to invoke the script with relative path name, 
# then this script needs the agent path to be specified manually.

BASEDIR=/opt/dell/mdstoragemanager
AGENT_PATH=$BASEDIR/agent
cd $AGENT_PATH
JAVA_EXEC="../jre/bin/java"
PORTFILENAME="./port.info"
PORT=

if [ "$PORT" = "" ]
then
	PORT=`awk '{print $1}' < $PORTFILENAME`
fi

$JAVA_EXEC -cp ./SMagent.jar devmgr.shared.NotifyEvent $1 $2 $PORT

